# Scanner+1

This mod adds a customizable feature to the Radar Scanner.

After the recent update (especially), a lot of things pop up on the Radar Scanner. This mod helps realizing whether you already grabbed all possible items/equipment you want without having to hunt every question mark down.

Make sure to change the config file to your liking.

## What does it do?

With this mod you can replace the question marks with ping icons and get a notification in the chat about remaining interactables, while being very customizable.
![scanner](https://i.imgur.com/2F50Nlt.jpg)

## Features
- Replace question marks with ping icons
	- Select which interactables you want to show up and which to hide
	- Customize the icon color for each and transparency
	- Hidden interactables can still be shown as question marks if selected
- Notification about remaining interactables in chat
	- Select which interactables you want to be notified about
	- Color is the one specified for the icons
	- Legacy Mode which enables chat notifications from v1.1.1 and older
- Both of these can be turned on individually
- Works as host or client


    
*(Legacy Mode)*
![legacy](https://i.imgur.com/EF8OcGB.jpg)



## Installation

- Install [BepInEx Mod Pack](https://thunderstore.io/package/bbepis/BepInExPack/)
- Place the mod in the Risk of Rain 2\BepInEx\plugins folder.
- Run the game once and close it out
- A config file will be created at Risk of Rain 2\BepInEx\config
- Open the config and adjust to your liking



## Changelog

- 2.1.0 - Compatibility with recent RoR2 update.
- 2.0.0 - Added ping icons, reworked chat notifications and added customizability.
- 1.1.1 - Legendary Chests were mistakenly excluded. 
- 1.1.0 - Changed how multishop terminals are counted (3 -> 1). Multishop terminals have 3 gold purchasables (and also show up as 3 question marks on the scanner), but a multishop terminal is probably percieved as a single purchasables by most players.

##  

Thank you Wildbook for your Reflection class :)